API reference / Operations by tag
meta
Reference data: categories, channels, labels, custom fields, countries, currencies and other lookups.
38 operations. Base URL https://api.metrixed.com/v1; see authentication, errors and pagination.
Operations
| Method | Path | Summary |
|---|---|---|
| GET | /categories | List Categorys |
| POST | /categories | Create Category |
| GET | /categories/{id} | Get Category |
| PATCH | /categories/{id} | Update Category |
| DELETE | /categories/{id} | Delete Category |
| POST | /categories/bulk/apply | Bulk edit apply |
| POST | /categories/bulk/preview | Bulk edit preview |
| POST | /categories/search | Search Categorys (advanced) |
| GET | /channels | List Channels |
| POST | /channels | Create Channel |
| GET | /channels/{id} | Get Channel |
| PATCH | /channels/{id} | Update Channel |
| DELETE | /channels/{id} | Delete Channel |
| POST | /channels/bulk/apply | Bulk edit apply |
| POST | /channels/bulk/preview | Bulk edit preview |
| POST | /channels/search | Search Channels (advanced) |
| GET | /custom-fields | List CustomFieldDefinitions |
| POST | /custom-fields | Create CustomFieldDefinition |
| GET | /custom-fields/{id} | Get CustomFieldDefinition |
| PATCH | /custom-fields/{id} | Update CustomFieldDefinition |
| DELETE | /custom-fields/{id} | Delete CustomFieldDefinition |
| POST | /custom-fields/bulk/apply | Bulk edit apply |
| POST | /custom-fields/bulk/preview | Bulk edit preview |
| POST | /custom-fields/search | Search CustomFieldDefinitions (advanced) |
| GET | /jobs | Jobs |
| GET | /jobs/{id} | Job |
| GET | /labels | List Labels |
| POST | /labels | Create Label |
| GET | /labels/{id} | Get Label |
| PATCH | /labels/{id} | Update Label |
| DELETE | /labels/{id} | Delete Label |
| POST | /labels/bulk/apply | Bulk edit apply |
| POST | /labels/bulk/preview | Bulk edit preview |
| POST | /labels/search | Search Labels (advanced) |
| GET | /meta/{kind} | Reference data |
| GET | /notes | Notes for entity |
| POST | /notes | Create note |
| GET | /search | Global search |
GET /categories
List Categorys
Operation getCategories. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
page | query | integer | no | |
page_size | query | integer | no | |
sort | query | string | no | field or -field |
include | query | string | no | comma-separated relationships |
filter | query | object (free-form) | no | |
q | query | string | no | free-text search |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json CategoryList |
| default | error | application/json Error |
curl 'https://api.metrixed.com/v1/categories?page=1&page_size=50' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"data": [
{}
],
"page": {}
}
POST /categories
Create Category
Operation postCategories. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): CategoryCreate
| Field | Type | Flags | Description |
|---|---|---|---|
name | string | required | |
parent_id | string | ||
status | string |
curl -X POST 'https://api.metrixed.com/v1/categories' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"name":""}'
Example 201 response:
{
"external_ref": ""
}
GET /categories/{id}
Get Category
Operation getCategoriesId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
curl 'https://api.metrixed.com/v1/categories/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"external_ref": ""
}
PATCH /categories/{id}
Update Category
Operation patchCategoriesId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
Request body (application/json, required): CategoryUpdate
| Field | Type | Flags | Description |
|---|---|---|---|
name | string | ||
parent_id | string | ||
status | string |
curl -X PATCH 'https://api.metrixed.com/v1/categories/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"name":"","parent_id":"","status":""}'
Example 200 response:
{
"external_ref": ""
}
DELETE /categories/{id}
Delete Category
Operation deleteCategoriesId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
curl -X DELETE 'https://api.metrixed.com/v1/categories/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 204 response:
{
"ok": false
}
POST /categories/bulk/apply
Bulk edit apply
Operation postCategoriesBulkApply. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): BulkPatch
| Field | Type | Flags | Description |
|---|---|---|---|
ids | array of string | required | |
patches | array of object | required |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json BulkPreview |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/categories/bulk/apply' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"ids":[""],"patches":[{"field":"","value":{}}]}'
Example 200 response:
{
"affected": 0,
"changes": [
{}
],
"warnings": [
""
],
"token": ""
}
POST /categories/bulk/preview
Bulk edit preview
Operation postCategoriesBulkPreview. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): BulkPatch
| Field | Type | Flags | Description |
|---|---|---|---|
ids | array of string | required | |
patches | array of object | required |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json BulkPreview |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/categories/bulk/preview' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"ids":[""],"patches":[{"field":"","value":{}}]}'
Example 200 response:
{
"affected": 0,
"changes": [
{}
],
"warnings": [
""
],
"token": ""
}
POST /categories/search
Search Categorys (advanced)
Operation postCategoriesSearch. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): SearchRequest
| Field | Type | Flags | Description |
|---|---|---|---|
filters | array of object | ||
search | string | ||
sort | array of object (free-form) | ||
page | integer | ||
page_size | integer | ||
include | array of string |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json CategoryList |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/categories/search' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"filters":[{}],"search":"","sort":[{}],"page":0}'
Example 200 response:
{
"data": [
{}
],
"page": {}
}
GET /channels
List Channels
Operation getChannels. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
page | query | integer | no | |
page_size | query | integer | no | |
sort | query | string | no | field or -field |
include | query | string | no | comma-separated relationships |
filter | query | object (free-form) | no | |
q | query | string | no | free-text search |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json ChannelList |
| default | error | application/json Error |
curl 'https://api.metrixed.com/v1/channels?page=1&page_size=50' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"data": [
{}
],
"page": {}
}
POST /channels
Create Channel
Operation postChannels. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): ChannelCreate
| Field | Type | Flags | Description |
|---|---|---|---|
name | string | required | |
status | enum: active, archived |
curl -X POST 'https://api.metrixed.com/v1/channels' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"name":""}'
Example 201 response:
{
"external_ref": ""
}
GET /channels/{id}
Get Channel
Operation getChannelsId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
curl 'https://api.metrixed.com/v1/channels/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"external_ref": ""
}
PATCH /channels/{id}
Update Channel
Operation patchChannelsId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
Request body (application/json, required): ChannelUpdate
| Field | Type | Flags | Description |
|---|---|---|---|
name | string | ||
status | enum: active, archived |
curl -X PATCH 'https://api.metrixed.com/v1/channels/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"name":"","status":"active"}'
Example 200 response:
{
"external_ref": ""
}
DELETE /channels/{id}
Delete Channel
Operation deleteChannelsId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
curl -X DELETE 'https://api.metrixed.com/v1/channels/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 204 response:
{
"ok": false
}
POST /channels/bulk/apply
Bulk edit apply
Operation postChannelsBulkApply. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): BulkPatch
| Field | Type | Flags | Description |
|---|---|---|---|
ids | array of string | required | |
patches | array of object | required |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json BulkPreview |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/channels/bulk/apply' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"ids":[""],"patches":[{"field":"","value":{}}]}'
Example 200 response:
{
"affected": 0,
"changes": [
{}
],
"warnings": [
""
],
"token": ""
}
POST /channels/bulk/preview
Bulk edit preview
Operation postChannelsBulkPreview. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): BulkPatch
| Field | Type | Flags | Description |
|---|---|---|---|
ids | array of string | required | |
patches | array of object | required |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json BulkPreview |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/channels/bulk/preview' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"ids":[""],"patches":[{"field":"","value":{}}]}'
Example 200 response:
{
"affected": 0,
"changes": [
{}
],
"warnings": [
""
],
"token": ""
}
POST /channels/search
Search Channels (advanced)
Operation postChannelsSearch. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): SearchRequest
| Field | Type | Flags | Description |
|---|---|---|---|
filters | array of object | ||
search | string | ||
sort | array of object (free-form) | ||
page | integer | ||
page_size | integer | ||
include | array of string |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json ChannelList |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/channels/search' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"filters":[{}],"search":"","sort":[{}],"page":0}'
Example 200 response:
{
"data": [
{}
],
"page": {}
}
GET /custom-fields
List CustomFieldDefinitions
Operation getCustomFields. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
page | query | integer | no | |
page_size | query | integer | no | |
sort | query | string | no | field or -field |
include | query | string | no | comma-separated relationships |
filter | query | object (free-form) | no | |
q | query | string | no | free-text search |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json CustomFieldDefinitionList |
| default | error | application/json Error |
curl 'https://api.metrixed.com/v1/custom-fields?page=1&page_size=50' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"data": [
{}
],
"page": {}
}
POST /custom-fields
Create CustomFieldDefinition
Operation postCustomFields. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): CustomFieldDefinitionCreate
| Field | Type | Flags | Description |
|---|---|---|---|
entity | enum: offer, partner, advertiser, conversion | required | |
key | string | required | |
label | string | required | |
type | string | ||
options | array of object (free-form) | ||
required | boolean | ||
visibility | string | ||
position | integer |
| Status | Description | Body |
|---|---|---|
| 201 | ok | application/json CustomFieldDefinition |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/custom-fields' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"entity":"offer","key":"","label":""}'
Example 201 response:
{
"external_ref": ""
}
GET /custom-fields/{id}
Get CustomFieldDefinition
Operation getCustomFieldsId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json CustomFieldDefinition |
| default | error | application/json Error |
curl 'https://api.metrixed.com/v1/custom-fields/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"external_ref": ""
}
PATCH /custom-fields/{id}
Update CustomFieldDefinition
Operation patchCustomFieldsId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
Request body (application/json, required): CustomFieldDefinitionUpdate
| Field | Type | Flags | Description |
|---|---|---|---|
entity | enum: offer, partner, advertiser, conversion | ||
key | string | ||
label | string | ||
type | string | ||
options | array of object (free-form) | ||
required | boolean | ||
visibility | string | ||
position | integer |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json CustomFieldDefinition |
| default | error | application/json Error |
curl -X PATCH 'https://api.metrixed.com/v1/custom-fields/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"entity":"offer","key":"","label":"","type":""}'
Example 200 response:
{
"external_ref": ""
}
DELETE /custom-fields/{id}
Delete CustomFieldDefinition
Operation deleteCustomFieldsId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
curl -X DELETE 'https://api.metrixed.com/v1/custom-fields/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 204 response:
{
"ok": false
}
POST /custom-fields/bulk/apply
Bulk edit apply
Operation postCustomFieldsBulkApply. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): BulkPatch
| Field | Type | Flags | Description |
|---|---|---|---|
ids | array of string | required | |
patches | array of object | required |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json BulkPreview |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/custom-fields/bulk/apply' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"ids":[""],"patches":[{"field":"","value":{}}]}'
Example 200 response:
{
"affected": 0,
"changes": [
{}
],
"warnings": [
""
],
"token": ""
}
POST /custom-fields/bulk/preview
Bulk edit preview
Operation postCustomFieldsBulkPreview. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): BulkPatch
| Field | Type | Flags | Description |
|---|---|---|---|
ids | array of string | required | |
patches | array of object | required |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json BulkPreview |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/custom-fields/bulk/preview' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"ids":[""],"patches":[{"field":"","value":{}}]}'
Example 200 response:
{
"affected": 0,
"changes": [
{}
],
"warnings": [
""
],
"token": ""
}
POST /custom-fields/search
Search CustomFieldDefinitions (advanced)
Operation postCustomFieldsSearch. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): SearchRequest
| Field | Type | Flags | Description |
|---|---|---|---|
filters | array of object | ||
search | string | ||
sort | array of object (free-form) | ||
page | integer | ||
page_size | integer | ||
include | array of string |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json CustomFieldDefinitionList |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/custom-fields/search' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"filters":[{}],"search":"","sort":[{}],"page":0}'
Example 200 response:
{
"data": [
{}
],
"page": {}
}
GET /jobs
Jobs
Operation getJobs. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
page | query | integer | no | |
page_size | query | integer | no | |
sort | query | string | no | field or -field |
include | query | string | no | comma-separated relationships |
filter | query | object (free-form) | no | |
q | query | string | no | free-text search |
curl 'https://api.metrixed.com/v1/jobs?page=1&page_size=50' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"data": [
{}
],
"page": {}
}
GET /jobs/{id}
Job
Operation getJobsId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
curl 'https://api.metrixed.com/v1/jobs/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"external_ref": ""
}
GET /labels
List Labels
Operation getLabels. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
page | query | integer | no | |
page_size | query | integer | no | |
sort | query | string | no | field or -field |
include | query | string | no | comma-separated relationships |
filter | query | object (free-form) | no | |
q | query | string | no | free-text search |
curl 'https://api.metrixed.com/v1/labels?page=1&page_size=50' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"data": [
{}
],
"page": {}
}
POST /labels
Create Label
Operation postLabels. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): LabelCreate
| Field | Type | Flags | Description |
|---|---|---|---|
name | string | required | |
color | string |
curl -X POST 'https://api.metrixed.com/v1/labels' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"name":""}'
Example 201 response:
{
"external_ref": ""
}
GET /labels/{id}
Get Label
Operation getLabelsId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
curl 'https://api.metrixed.com/v1/labels/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"external_ref": ""
}
PATCH /labels/{id}
Update Label
Operation patchLabelsId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
Request body (application/json, required): LabelUpdate
| Field | Type | Flags | Description |
|---|---|---|---|
name | string | ||
color | string |
curl -X PATCH 'https://api.metrixed.com/v1/labels/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"name":"","color":""}'
Example 200 response:
{
"external_ref": ""
}
DELETE /labels/{id}
Delete Label
Operation deleteLabelsId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
curl -X DELETE 'https://api.metrixed.com/v1/labels/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 204 response:
{
"ok": false
}
POST /labels/bulk/apply
Bulk edit apply
Operation postLabelsBulkApply. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): BulkPatch
| Field | Type | Flags | Description |
|---|---|---|---|
ids | array of string | required | |
patches | array of object | required |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json BulkPreview |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/labels/bulk/apply' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"ids":[""],"patches":[{"field":"","value":{}}]}'
Example 200 response:
{
"affected": 0,
"changes": [
{}
],
"warnings": [
""
],
"token": ""
}
POST /labels/bulk/preview
Bulk edit preview
Operation postLabelsBulkPreview. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): BulkPatch
| Field | Type | Flags | Description |
|---|---|---|---|
ids | array of string | required | |
patches | array of object | required |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json BulkPreview |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/labels/bulk/preview' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"ids":[""],"patches":[{"field":"","value":{}}]}'
Example 200 response:
{
"affected": 0,
"changes": [
{}
],
"warnings": [
""
],
"token": ""
}
POST /labels/search
Search Labels (advanced)
Operation postLabelsSearch. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): SearchRequest
| Field | Type | Flags | Description |
|---|---|---|---|
filters | array of object | ||
search | string | ||
sort | array of object (free-form) | ||
page | integer | ||
page_size | integer | ||
include | array of string |
curl -X POST 'https://api.metrixed.com/v1/labels/search' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"filters":[{}],"search":"","sort":[{}],"page":0}'
Example 200 response:
{
"data": [
{}
],
"page": {}
}
GET /meta/{kind}
Reference data
Operation getMetaKind. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
kind | path | enum: countries, regions, cities, dmas, isps, carriers, devices, os, browsers, languages, currencies, timezones, ... | yes |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json LogSearchResult |
| default | error | application/json Error |
curl 'https://api.metrixed.com/v1/meta/<kind>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"rows": [
{}
],
"next_cursor": "",
"has_more": false
}
GET /notes
Notes for entity
Operation getNotes. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
entity_type | query | string | yes | |
entity_id | query | string | yes |
curl 'https://api.metrixed.com/v1/notes' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"data": [
{}
],
"page": {}
}
POST /notes
Create note
Operation postNotes. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): NoteCreate
| Field | Type | Flags | Description |
|---|---|---|---|
entity_type | string | ||
entity_id | string | ||
body | string | required | |
pinned | boolean |
curl -X POST 'https://api.metrixed.com/v1/notes' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"body":""}'
Example 201 response:
{
"external_ref": ""
}
GET /search
Global search
Operation getSearch. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
q | query | string | no | free-text search |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json LogSearchResult |
| default | error | application/json Error |
curl 'https://api.metrixed.com/v1/search' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"rows": [
{}
],
"next_cursor": "",
"has_more": false
}